%define api_version 1
%define lib_major   0
%define lib_name	%mklibname %{name}- %{api_version} %{lib_major}

Summary: Library used to monitor application startup
Name: startup-notification
Version: 0.8
Release: 1mdk
License: LGPL
Group: System/Libraries
URL: http://www.freedesktop.org/
Source0: http://www.freedesktop.org/software/%name/releases/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: XFree86-devel

%description
Startup-notification is a library used to monitor application startup.

%package -n %{lib_name}
Summary:	Library used to monitor application startup
Group:		%{group}
Provides:	lib%{name}-%{api_version} = %{version}-%{release}

%description -n %{lib_name}
Startup-notification is a library used to monitor application startup.

%package -n %{lib_name}-devel
Summary:	Library used to monitor application startup
Group:		Development/C
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{lib_name}-devel
Startup-notification is a library used to monitor application startup.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-,root,root,-)
%doc ChangeLog 
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Thu Dec  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- new source URL
- New release 0.8

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- fix source url
- reenable libtoolize
- New release 0.7

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6 (with Gtz Waschk help)
- don't run libtoolize

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5-4mdk
- provides: plain libstartup-notification-1 for explicit requires

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5-3mdk
- Rebuild for latest provides

* Mon Jun  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5-2mdk
- mklibnamification

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Initial Mdk package


